diff options
author | Daniel Baumann <daniel.baumann@progress-linux.org> | 2024-04-28 09:19:41 +0000 |
---|---|---|
committer | Daniel Baumann <daniel.baumann@progress-linux.org> | 2024-04-28 09:19:41 +0000 |
commit | a27c8b00ebf173659f22f53ce65679e94e7dfb1b (patch) | |
tree | 02c68ec259348b63c6328896aa73265eb7b3d730 /dm-packaging/review | |
parent | Initial commit. (diff) | |
download | debian-keyring-upstream.tar.xz debian-keyring-upstream.zip |
Adding upstream version 2022.12.24.upstream/2022.12.24upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'dm-packaging/review')
-rwxr-xr-x | dm-packaging/review | 32 |
1 files changed, 32 insertions, 0 deletions
diff --git a/dm-packaging/review b/dm-packaging/review new file mode 100755 index 0000000..abddb5c --- /dev/null +++ b/dm-packaging/review @@ -0,0 +1,32 @@ +#!/bin/sh +set -e + +changeset="$1" +if [ -z "$changeset" ]; then + echo "Usage: checkchangeset changeset" >&2 + exit 1 +fi + +TMPRING=./keyring.tmp +trap cleanup EXIT +cleanup () { + rm -f $TMPRING* +} + +make +echo "" +echo "Running test suite on keyring, with this changeset included:" +cp debian-maintainers.gpg $TMPRING +jetring-apply $TMPRING "$changeset" +DM_KEYRING="$TMPRING" +export DM_KEYRING +if ! ./runtests; then + testfailed=1 +fi +echo "" +echo "jetring-review of the changes in the changeset:" +jetring-review -d debian-maintainers.gpg $changeset + +if [ "$testfailed" ]; then + exit 1 +fi |